Bug Hunting Session
Bug 49172 - FILESAVE particular RTF destroys TABLE and document
Summary: FILESAVE particular RTF destroys TABLE and document
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.3 RC1
Hardware: x86-64 (AMD64) Windows (All)
: high critical
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-26 07:54 UTC by Aaron
Modified: 2013-07-08 21:21 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
This is an example file, which opens corectly in LO 3.5.3.1, but is desroyed after saving. (49.25 KB, application/msword)
2012-04-26 07:54 UTC, Aaron
Details
Screenshots (90.24 KB, application/pdf)
2012-04-26 09:22 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aaron 2012-04-26 07:54:51 UTC
Created attachment 60615 [details]
This is an example file, which opens corectly in LO 3.5.3.1, but is desroyed after saving.

Problem description: 

Resaving original RTF file (produced in Word) to RTF format destroys file and causes LibreOffice Writer to crash on opening this file.
Comment 1 Rainer Bielefeld Retired 2012-04-26 09:01:57 UTC
[Reproducible] with "LibreOffice 3.5.3.1 (RC1) German UI/Locale [Build-ID: 21cb047-d7e6025-9ba54fc-b4a51a8-f42372b] on German WIN7 Home Premium (64bit) 
After save as Example_353.rtf the new document is much smaller (36kB lost), and MS WORD viewer indicates a Table problem in the dew document.

In LibO 333 there was a bug (inherited from OOo) that placed contents "Паллета 1 из 1" 1 cell to the left during fileopen. That problem is fixed, but exactly the cell with "Паллета 1 из 1" seems to be involved into the problem.

May be the roots of the problem are already in FILEOPEN, it seems that LibO has some problems with the RTF code. After having opened the original sample document and clicking alternating into most bottom cells with "Адрес доставки:  г. Город, Проспект пр., д. 19е"  and "Паллета 1 из 1", I see strange reactions in Navigator, Tables 2 and 3 are interchanging their places for a moment; and I believe there are only 2 tables in the document?

I will split away the FILEOPEN CRASH problem.

@Miklós
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug.
Comment 2 Rainer Bielefeld Retired 2012-04-26 09:21:43 UTC
I created "Bug 49178 - CRASH when FILEOPEN particular RTF" for the fileopen problem
Comment 3 Rainer Bielefeld Retired 2012-04-26 09:22:37 UTC
Created attachment 60620 [details]
Screenshots

comparing VIEW in MS WORD VIEWER for original document and after having been saved from LibO
Comment 4 Jean-Baptiste Faure 2012-04-30 12:14:34 UTC
No
Comment 5 Aaron 2012-05-02 09:09:59 UTC
The bug still exists in LO 3.5.3
Comment 6 Ronildo Matsuura 2012-08-07 13:10:50 UTC
I am having the same problem! I'm tested v3.5.4, v.3.5.5 and v3.6.0.4rc
Comment 7 Julien Nabet 2012-10-19 22:39:58 UTC
On pc Debian x86-64 with 3.5 sources updated yesterday, I don't reproduce the problem.
Aaron/Rainer: could you give a try to 3.5.6 and tell if it's still reproduceable? (in this case, it could be a Windows only bug)
Comment 8 Joel Madero 2013-05-30 16:17:49 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 9 QA Administrators 2013-07-08 21:21:40 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO